org.jbpm.process.builder.dialect.mvel

## Class MVELActionBuilder

- java.lang.Object
- - org.jbpm.process.builder.dialect.mvel.AbstractMVELBuilder
  - - org.jbpm.process.builder.dialect.mvel.MVELActionBuilder

- All Implemented Interfaces:
    ActionBuilder

      public class MVELActionBuilder
      extends AbstractMVELBuilder
      implements ActionBuilder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MVELActionBuilder()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `build(org.drools.compiler.rule.builder.PackageBuildContext context, DroolsAction action, org.drools.compiler.lang.descr.ActionDescr actionDescr, ContextResolver contextResolver)`
    `protected void` | `buildAction(org.drools.compiler.rule.builder.PackageBuildContext context, DroolsAction action, org.drools.compiler.lang.descr.ActionDescr actionDescr, ContextResolver contextResolver, org.drools.compiler.rule.builder.dialect.mvel.MVELDialect dialect, org.drools.compiler.rule.builder.dialect.mvel.MVELAnalysisResult analysis, String text, Map<String,Class<?>> variables)`
    `static String` | `processMacros(String consequence)`

    - ### Methods inherited from class org.jbpm.process.builder.dialect.mvel.AbstractMVELBuilder

      `collectTypes, delimitExpressions, getAnalysis`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MVELActionBuilder

          public MVELActionBuilder()

  - ### Method Detail

    - #### processMacros

          public static String processMacros(String consequence)

    - #### build

          public void build(org.drools.compiler.rule.builder.PackageBuildContext context,
                            DroolsAction action,
                            org.drools.compiler.lang.descr.ActionDescr actionDescr,
                            ContextResolver contextResolver)

      Specified by:
        `build` in interface `ActionBuilder`

    - #### buildAction

          protected void buildAction(org.drools.compiler.rule.builder.PackageBuildContext context,
                                     DroolsAction action,
                                     org.drools.compiler.lang.descr.ActionDescr actionDescr,
                                     ContextResolver contextResolver,
                                     org.drools.compiler.rule.builder.dialect.mvel.MVELDialect dialect,
                                     org.drools.compiler.rule.builder.dialect.mvel.MVELAnalysisResult analysis,
                                     String text,
                                     Map<String,Class<?>> variables)
                              throws Exception

      Throws:
        `Exception`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.